curl --request GET \
--url https://api.companyenrich.com/companies/enrich \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.companyenrich.com/companies/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/companies/enrich"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"website": "<string>",
"type": "unknown",
"legalName": "<string>",
"industry": "<string>",
"industries": [
"<string>"
],
"categories": [
"b2b"
],
"employees": "1-10",
"reported_employees": "1-10",
"revenue": "under-1m",
"description": "<string>",
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"subsidiaries": [
"<string>"
],
"founded_year": 123,
"naics_codes": [
"<string>"
],
"location": {
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"state": {
"id": 123,
"name": "<string>",
"code": "<string>",
"latitude": 123,
"longitude": 123
},
"city": {
"id": 123,
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"address": "<string>",
"postal_code": "<string>",
"phone": "<string>"
},
"financial": {
"stock_symbol": "<string>",
"stock_exchange": "<string>",
"total_funding": 123,
"funding_stage": "<string>",
"funding_date": "2023-11-07T05:31:56Z",
"funding": [
{
"date": "2023-11-07T05:31:56Z",
"amount": "<string>",
"type": "<string>",
"url": "<string>",
"from": "<string>"
}
]
},
"socials": {
"linkedin_url": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"facebook_url": "<string>",
"instagram_url": "<string>",
"angellist_url": "<string>",
"crunchbase_url": "<string>",
"youtube_url": "<string>",
"github_url": "<string>",
"g2_url": "<string>"
},
"page_rank": 123,
"workforce": {
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123,
"history": [
{
"date": "2023-12-25",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123
}
]
},
"logo_url": "<string>",
"seo_description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Enrich by domain
Cost: 1 credit per call
Enriches a company using its domain name as lookup parameter.
We map each domain to a unique company so lookups via domain are fast and reliable. It is the preferred way to enrich a company.
In case the domain name could not be enriched, the API will return a 404 error.
Set waitForEnrichment=false to skip waiting for on-demand enrichment. Already stored company
data is returned immediately. When the company is not stored yet, the API returns a 404 error
without charging any credits and schedules the enrichment in the background, so a later call
can return the company quickly.
curl --request GET \
--url https://api.companyenrich.com/companies/enrich \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.companyenrich.com/companies/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/companies/enrich"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"website": "<string>",
"type": "unknown",
"legalName": "<string>",
"industry": "<string>",
"industries": [
"<string>"
],
"categories": [
"b2b"
],
"employees": "1-10",
"reported_employees": "1-10",
"revenue": "under-1m",
"description": "<string>",
"keywords": [
"<string>"
],
"technologies": [
"<string>"
],
"subsidiaries": [
"<string>"
],
"founded_year": 123,
"naics_codes": [
"<string>"
],
"location": {
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"state": {
"id": 123,
"name": "<string>",
"code": "<string>",
"latitude": 123,
"longitude": 123
},
"city": {
"id": 123,
"name": "<string>",
"latitude": 123,
"longitude": 123
},
"address": "<string>",
"postal_code": "<string>",
"phone": "<string>"
},
"financial": {
"stock_symbol": "<string>",
"stock_exchange": "<string>",
"total_funding": 123,
"funding_stage": "<string>",
"funding_date": "2023-11-07T05:31:56Z",
"funding": [
{
"date": "2023-11-07T05:31:56Z",
"amount": "<string>",
"type": "<string>",
"url": "<string>",
"from": "<string>"
}
]
},
"socials": {
"linkedin_url": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"facebook_url": "<string>",
"instagram_url": "<string>",
"angellist_url": "<string>",
"crunchbase_url": "<string>",
"youtube_url": "<string>",
"github_url": "<string>",
"g2_url": "<string>"
},
"page_rank": 123,
"workforce": {
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123,
"history": [
{
"date": "2023-12-25",
"department_headcount": {
"c_suite": 123,
"product_management": 123,
"engineering_technical": 123,
"design": 123,
"education": 123,
"finance": 123,
"human_resources": 123,
"information_technology": 123,
"legal": 123,
"marketing": 123,
"medical_health": 123,
"operations": 123,
"sales": 123,
"consulting": 123
},
"observed_employee_count": 123,
"employee_count_range": "1-10",
"unclassified_headcount": 123
}
]
},
"logo_url": "<string>",
"seo_description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
Query Parameters
Whether to wait for on-demand enrichment when the company is not stored yet. When false, stored company data is returned immediately; a company that is not stored yet results in a 404 without charging credits, and its enrichment is scheduled in the background so a later call can return it quickly.
Response
OK